Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cassandra.db
Class Memtable

    java.lang.Object
      org.apache.cassandra.db.Memtable

All Implemented Interfaces:
  java.lang.Comparable<Memtable>, IFlushable

    public class Memtable

extends java.lang.Object
implements java.lang.Comparable<Memtable>, IFlushable

Constructor Summary
`Memtable(ColumnFamilyStore cfs)`

Method Summary
`int` | `compareTo(Memtable rhs)` Compares two Memtable based on creation time.
`java.lang.String` | `contents()`
`void` | `flushAndSignal(java.util.concurrent.locks.Condition condition, java.util.concurrent.ExecutorService sorter, java.util.concurrent.ExecutorService writer)`
`ColumnFamily` | `getColumnFamily(java.lang.String key)`
`int` | `getCurrentOperations()`
`int` | `getCurrentThroughput()`
`java.util.Iterator<DecoratedKey>` | `getKeyIterator(DecoratedKey startWith)`
`ColumnIterator` | `getNamesIterator(ColumnFamily cf, NamesQueryFilter filter)`
`ColumnIterator` | `getSliceIterator(ColumnFamily cf, SliceQueryFilter filter, AbstractType typeComparator)` obtain an iterator of columns in this memtable in the specified order starting from a given column.
`boolean` | `isClean()`
`boolean` | `isExpired()`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Memtable

    public Memtable(ColumnFamilyStore cfs)

Method Detail

### compareTo

    public int compareTo(Memtable rhs)

  Compares two Memtable based on creation time.

  Specified by:
    `compareTo` in interface `java.lang.Comparable<Memtable>`
  Parameters:
    `rhs` - Memtable to compare to.
  Returns:
    a negative integer, zero, or a positive integer as this object is less than, equal to, or greater than the specified object.

### getCurrentThroughput

    public int getCurrentThroughput()

### getCurrentOperations

    public int getCurrentOperations()

### contents

    public java.lang.String contents()

### flushAndSignal

    public void flushAndSignal(java.util.concurrent.locks.Condition condition,
                               java.util.concurrent.ExecutorService sorter,
                               java.util.concurrent.ExecutorService writer)

  Specified by:
    `flushAndSignal` in interface `IFlushable`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### getKeyIterator

    public java.util.Iterator<DecoratedKey> getKeyIterator(DecoratedKey startWith)

### isClean

    public boolean isClean()

### getSliceIterator

    public ColumnIterator getSliceIterator(ColumnFamily cf,
                                           SliceQueryFilter filter,
                                           AbstractType typeComparator)

  obtain an iterator of columns in this memtable in the specified order starting from a given column.

### getNamesIterator

    public ColumnIterator getNamesIterator(ColumnFamily cf,
                                           NamesQueryFilter filter)

### getColumnFamily

    public ColumnFamily getColumnFamily(java.lang.String key)

### isExpired

    public boolean isExpired()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 The Apache Software Foundation